---
sidebar_position: 4
description: Add users to folder and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Add users to folder
 Grants external users access to the directory



`Function AddUsersToFolder(Val Token, Val FolderID, Val EmailAddresses, Val ViewOnly = True) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | FolderID | --folder | String | &#x2714; | ID of the public catalog (shared folder ID) |
  | EmailAddresses | --emails | String, Array of String | &#x2714; | List of email addresses of users being added |
  | ViewOnly | --readonly | Boolean | &#x2716; | Prohibits file editing for the external user |

  
  Returns:  Undefined - empty response



```bsl title="1C:Enterprise/OneScript code example"
    Token  = "sl.u. ...";
    Email  = "h5bk6ft62s@privaterelay.appleid.com";
    Folder = "13369804259"; // shared_folder_id

    Result = OPI_Dropbox.AddUsersToFolder(Token, Folder, Email, False);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox AddUsersToFolder \
             --token "***" \
             --folder "13365035571" \
             --emails "['h5bk6ft62s@privaterelay.appleid.com']" \
             --readonly true
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox AddUsersToFolder ^
             --token "***" ^
             --folder "13365035571" ^
             --emails "['h5bk6ft62s@privaterelay.appleid.com']" ^
             --readonly true
        ```
    </TabItem>
</Tabs>


```json title="Result"
{}
```
